.CheckoutSuccess {
    &-Wrapper {
        display: grid;
        grid-template-columns: 1fr 2fr 1fr;

        @include before-desktop {
            grid-template-columns: 1fr;
        }

        > div {
            &:nth-child(1),
            &:nth-child(3) {
                line-height: 0;

                @include desktop {
                    margin-top: 2rem;
                }

                @include before-desktop {
                    img {
                        width: 33.33%;
                    }
                }
            }

            @include before-desktop {
                &:nth-child(1) {
                    display: flex;
                    margin-right: -1rem;
                    margin-left: -1rem;
                    align-items: center;
                }
                &:nth-child(3) {
                    display: flex;
                    margin-top: 22px;
                    margin-right: -1rem;
                    margin-left: -1rem;
                    align-items: center;
                }
            }
        }

        h2 {
            @include after-mobile {
                padding: 0 16px;
            }
        }
    }

    &-WrapperPhoto {
        display: none;

        @include mobile {
            display: block !important;
        }
    }

    &-Details {
        padding: 16px;
        border: 1px solid var(--grey-1-color);

        @include mobile {
            padding-top: 20px;
            padding-bottom: 20px;
            border-right: none;
            border-left: none;
            margin-right: -1rem;
            margin-left: -1rem;
        }
    }

    &-Param {
        display: flex;
        margin-bottom: 10px;
        align-items: flex-end;
        justify-content: space-between;
        font-size: 12px;
        font-weight: 600;

        > div:last-child {
            margin-left: 10px;
            color: var(--grey-6-color);
        }

        &_isPrimary {
            margin-bottom: 20px;
            font-size: 16px;
            font-weight: 500;
        }

        &_isSecondary {
            font-size: 14px;
            font-weight: 500;
        }
    }

    &-SectionWrapper {
        display: grid;
        padding-top: 22px;
        padding-bottom: 20px;
        grid-template-columns: repeat(2, 1fr);
        grid-column-gap: 20px;

        @include mobile {
            grid-template-columns: 1fr;
        }
    }

    &-Section {
        padding-left: 36px;
        margin-bottom: 16px;
        white-space: pre-line;

        &::before {
            display: flex;
            width: 20px;
            height: 20px;
            border-radius: 100%;
            position: absolute;
            top: 3px;
            left: 0;
            align-items: center;
            justify-content: center;
            background: var(--primary-base-color);
            content: '';
        }

        &_withEnvelope {
            &::before {
                content: url('../../style/images/envelope.svg');
            }
        }

        &_withCheckmark {
            &::before {
                content: url('../../style/images/checkout_checkmark.svg');
            }
        }

        &_fullWidth {
            @include after-mobile {
                grid-column: 1 / span 2;
            }
        }

        h4 {
            padding-top: 4px;
            margin-bottom: 8px;
        }

        p {
            line-height: 20px;
        }
    }

    &-Button {
        padding-top: 48px;
        flex: 1;
        color: var(--grey-4-color);
        font-size: 12px;
        font-weight: 500;

        &::before {
            display: block;
            width: 36px;
            height: 36px;
            border-radius: 100%;
            margin: 0 auto;
            position: absolute;
            top: 0;
            right: 0;
            left: 0;
            background: var(--primary-base-color);
            content: '';
        }

        &::after {
            display: block;
            margin: 0 auto;
            position: absolute;
            top: 8px;
            right: 0;
            left: 0;
        }

        &_envelope {
            &::after {
                top: 9px;
                content: url('../../style/images/checkout_bottom_mail.svg');
            }
        }

        &_pin {
            &::after {
                content: url('../../style/images/checkout_bottom_pin.svg');
            }
        }

        &_telephone {
            &::after {
                content: url('../../style/images/checkout_bottom_telephone.svg');
            }
        }
    }

    &-ButtonWrapper {
        display: flex;
        margin-top: 30px;
        justify-content: space-between;
    }

    &-BottomBlock {
        max-width: 330px;
        margin: 30px auto 0;
        text-align: center;

        h4 {
            font-size: 16px;
            font-weight: 500;
        }
    }
}
